#ifndef DISTABWDG_H
#define DISTABWDG_H

#include <QDialog>
#include "Model/dishesObject.h"
#include "dishesItem.h"

namespace Ui {
class disTabWdg;
}

class disTabWdg : public QDialog
{
    Q_OBJECT

public:
    explicit disTabWdg(QWidget *parent = 0);
    ~disTabWdg();

    // 初始化菜品信息
    void IniDishesData(QMap<QString, dishesObject> dishesMap);

private slots:
    void on_disTabWdg_close_clicked();

    void on_disTabWdg_btnup_clicked();

    void on_disTabWdg_btndown_clicked();

    void on_disTabWdg_btnsj_clicked();

    void on_disTabWdg_btnxj_clicked();

private:
    Ui::disTabWdg *ui;

    QString m_channelCode;

signals:
    void doHide();

    // 通知工作线程更新上下架状态
     void doUpdDishes(QString ,QMap<QString, int> dishes);
};

#endif // DISTABWDG_H
